clear all
global Xu Q q2kron indsu ;  % global statement needed
n=35;                    % dimension of problem
density=3/(n);
Q=5*sprandsym(n,density);
e=ones(n,1);
Q=spdiags([e 0*e e], -1:1,Q);
Q=round(Q);                %  Q for objective function trace QX
precond=1;     %  0 for no precond; 1 for opt diagonal precond
toler=10^(-14);   % desired (relative error) tolerance
crosstoler=10^(-1);  % relative error for crossover decision
disp(['solve random Q where dim, crosstoler are:  ',num2str(n),...
          '  ',num2str(crosstoler)]);
[X,y,Z,mu,itersinfo,meritfn]=mcsdp(toler,precond,crosstoler);

